LevelDBFileRegionAliasMap.LevelDBOptions (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.common.blockaliasmap.impl, class: LevelDBFileRegionAliasMap, class: LevelDBOptions

Package org.apache.hadoop.hdfs.server.common.blockaliasmap.impl

# Class LevelDBFileRegionAliasMap.LevelDBOptions

java.lang.Object
org.apache.hadoop.hdfs.server.common.blockaliasmap.impl.LevelDBFileRegionAliasMap.LevelDBOptions

All Implemented Interfaces:
  `org.apache.hadoop.conf.Configurable`, `BlockAliasMap.Reader.Options`, `BlockAliasMap.Writer.Options`, `LevelDBFileRegionAliasMap.LevelDBReader.Options`, `LevelDBFileRegionAliasMap.LevelDBWriter.Options`

Enclosing class:
  LevelDBFileRegionAliasMap

public static class LevelDBFileRegionAliasMap.LevelDBOptions extends Object implements LevelDBFileRegionAliasMap.LevelDBReader.Options, LevelDBFileRegionAliasMap.LevelDBWriter.Options, org.apache.hadoop.conf.Configurable
Class specifying reader options for the `LevelDBFileRegionAliasMap`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LevelDBOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LevelDBFileRegionAliasMap.LevelDBOptions`
  `filename(String levelDBPath)`
  `org.apache.hadoop.conf.Configuration`
  `getConf()`
  `void`
  `setConf(org.apache.hadoop.conf.Configuration conf)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LevelDBOptions

    public LevelDBOptions()

- ## Method Details

  - ### setConf

    public void setConf(org.apache.hadoop.conf.Configuration conf)
    Specified by:
      `setConf` in interface `org.apache.hadoop.conf.Configurable`

  - ### getConf

    public org.apache.hadoop.conf.Configuration getConf()
    Specified by:
      `getConf` in interface `org.apache.hadoop.conf.Configurable`

  - ### filename

    public LevelDBFileRegionAliasMap.LevelDBOptions filename(String levelDBPath)
    Specified by:
      `filename` in interface `LevelDBFileRegionAliasMap.LevelDBReader.Options`
    Specified by:
      `filename` in interface `LevelDBFileRegionAliasMap.LevelDBWriter.Options`